Public Member Functions | Public Attributes | List of all members
libebook::SoftBookResourceDirImpl::ResourceInfo Struct Reference

## Public Member Functions
| ResourceInfo ()

## Public Attributes
unsigned | offset
unsigned | length
optional< string > | type

## Constructor & Destructor Documentation

## ◆ ResourceInfo()

libebook::SoftBookResourceDirImpl::ResourceInfo::ResourceInfo | ( |  | ) |

## Member Data Documentation

## ◆ length

unsigned libebook::SoftBookResourceDirImpl::ResourceInfo::length

Referenced by libebook::SoftBookResourceDirImpl::createStream(), and libebook::SoftBookResourceDirImpl::SoftBookResourceDirImpl().

## ◆ offset

unsigned libebook::SoftBookResourceDirImpl::ResourceInfo::offset

Referenced by libebook::SoftBookResourceDirImpl::createStream(), libebook::SoftBookResourceDirImpl::findResourceByType(), and libebook::SoftBookResourceDirImpl::SoftBookResourceDirImpl().

## ◆ type

optional<string> libebook::SoftBookResourceDirImpl::ResourceInfo::type

Referenced by libebook::SoftBookResourceDirImpl::findResourceByType(), and libebook::SoftBookResourceDirImpl::SoftBookResourceDirImpl().

The documentation for this struct was generated from the following file:

- SoftBookResourceDir.cpp